const reportModules={
    state:{
        audioData:{
            show:false,//是否显示音频弹窗
            list:[],
            index:0,//当前是播放第几个
            reportId:0,//当前是哪个报告的音频
            paused:true,//当前是否音频正在播放 true暂停状态

        }
    },
    mutations: {
        addAudio(state,e){
            state.audioData.show=true
            state.audioData.list=e.list
            state.audioData.index=0
            state.audioData.reportId=e.reportId
        },
        updateAudioIndex(state,e){
            state.audioData.index=e
        },
        // 音频状态
        updateAudioPause(state,e){
            state.audioData.paused=e
        },
        removeAudio(state,e){
            state.audioData.show=false
            state.audioData.list=[]
            state.audioData.index=0
            state.audioData.reportId=0
            state.audioData.paused=true
        },
        //显示弹窗
        showPopAudio(state){
            state.audioData.show=true
        },
        // 关闭弹窗
        closePopAudio(state){
            state.audioData.show=false
        }
    }
}

export default reportModules;